import request from '@/utils/request'

// 查询泉医到家系统海报模块信息（包含咨询简介信息）列表
export function listPoser(query) {
    return request({
        url: '/system/poser/list',
        method: 'get',
        params: query
    })
}
//取消
export function updatePicture(data) {
    return request({
        url: '/system/patientArchives/updatePicture',
        method: 'post',
        data: data
    })
}
// 查询护理机构和护理项目分类信息列表
export function listInfo(query) {
    return request({
        url: '/classifyItem/info/list',
        method: 'get',
        params: query
    })
}
// 查询泉医到家系统海报模块信息（包含咨询简介信息）详细

export function getPoser(moduleType, nurseStationId, nurseItemId) {
    return request({
        url: `/system/poser/getModuleType?moduleType=${moduleType}&nurseStationId=${nurseStationId}&nurseItemId=${nurseItemId}`,
        method: 'get'
    })
}

// 新增泉医到家系统海报模块信息（包含咨询简介信息）
export function addPoser(data) {
    return request({
        url: 'system/poser/add',
        method: 'post',
        data: data
    })
}

export function getListByUser(query) {
    return request({
        url: '/system/station/list',
        method: 'GET',
        params: query
    })
}
export function getListBy(query) {
    return request({
        url: '/system/user/getListByUser',
        method: 'GET',
        params: query
    })
}
// 修改泉医到家系统海报模块信息（包含咨询简介信息）
export function updatePoser(data) {
    return request({
        url: 'system/poser/edit',
        method: 'post',
        data: data
    })
}

// 删除泉医到家系统海报模块信息（包含咨询简介信息）
export function delPoser(nurseStationId, moduleType, nurseItemId) {
    return request({
        url: `/system/poser/deletePoserInfo?moduleType=${moduleType}&nurseStationId=${nurseStationId}&nurseItemId=${nurseItemId}`,
        method: 'delete'
    })
}

export function selectPosterImageJump() {
    return request({
        url: '/system/poser/selectPosterImageJump',
        method: 'GET',
    })
}